summaryrefslogtreecommitdiffstats
path: root/scripts/update-website
diff options
context:
space:
mode:
authoritchyny <itchyny@cybozu.co.jp>2023-06-06 05:51:33 +0900
committerGitHub <noreply@github.com>2023-06-06 05:51:33 +0900
commitcd4dc1e6d11536c9b889e4c362ea2a9d3b16fae1 (patch)
tree5add895ea1b72d396fc6c4fdde0724d5e1040870 /scripts/update-website
parent527ea012f357a70c1eafb935dc685d3e2f5b0ce6 (diff)
Add a GitHub Actions workflow to build and update website (#2603)
Diffstat (limited to 'scripts/update-website')
-rwxr-xr-xscripts/update-website9
1 files changed, 5 insertions, 4 deletions
diff --git a/scripts/update-website b/scripts/update-website
index cf9a0ec1..a99ffc18 100755
--- a/scripts/update-website
+++ b/scripts/update-website
@@ -1,16 +1,17 @@
-#!/bin/sh
+#!/bin/bash
# This script builds the website from the docs directory of
# the current branch and copies it over to the gh-pages
# branch.
-set -eu
-set -o xtrace
+set -eux
+shopt -s dotglob
# build website
-scriptdir=`dirname "$0"`
+scriptdir=$(dirname "$0")
cd "$scriptdir"/../docs
rm -rf output
+mkdir output
pipenv run python3 build_website.py
cd ..